﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace SharePointArchitects.FilePlanner
{
    public static class Extensions
    {
        // Removes invalid characters from a string.
        public static string Sanitize(this String str)
        {
            StringBuilder sb = new StringBuilder();
            foreach (char c in str)
            {
                if ((c >= '0' && c < '9') || (c >= 'A' && c <= 'Z') || (c >= 'a' && c <= 'z')
                    || (c == '_') || (c == '-') || (c == '(') || (c == ')') || (c == '[') || (c == ']')
                    || (c == '$') || (c == '!') || (c == ' '))
                    sb.Append(c);
            }
            return sb.ToString();
        }
    }
}
